////////////////////////////////////////////////////////////////////////////////
// 
//  Copyright (c) 2010 Renaun Erickson <renaun.com>
// 
//  Permission is hereby granted, free of charge, to any person
//  obtaining a copy of this software and associated documentation
//  files (the "Software"), to deal in the Software without
//  restriction, including without limitation the rights to use,
//  copy, modify, merge, publish, distribute, sublicense, and/or sell
//  copies of the Software, and to permit persons to whom the
//  Software is furnished to do so, subject to the following
//  conditions:
// 
//  The above copyright notice and this permission notice shall be
//  included in all copies or substantial portions of the Software.
// 
//  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
//  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//  NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
//  HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//  WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
//  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
//  OTHER DEALINGS IN THE SOFTWARE.
// 
////////////////////////////////////////////////////////////////////////////////
/**
 Flex SDK Coding Conventions Used:
 http://opensource.adobe.com/wiki/display/flexsdk/Coding+Conventions
 **/
package com.renaun.messages
{
	import flash.sensors.Accelerometer;

	public class MessageFactory
	{
		//--------------------------------------------------------------------------
		//
		//  Static
		//
		//--------------------------------------------------------------------------
		
		public static function createTouch(obj:Object = null):TouchMessage
		{
			var msg:TouchMessage = new TouchMessage();
			if (obj != null)
			{
				for (var key:String in obj)
				{
					msg[key] = obj[key];
				}
			}
			return msg;
		}
		
		public static function createAccelerometer(obj:Object = null):AccelerometerMessage
		{
			var msg:AccelerometerMessage = new AccelerometerMessage();
			if (obj != null)
			{
				for (var key:String in obj)
				{
					msg[key] = obj[key];
				}
			}
			return msg;
		}
		
	}
}