////////////////////////////////////////////////////////////////////////////////
// 
//  Copyright (c) 2010 Renaun Erickson <renaun.com>
// 
//  Permission is hereby granted, free of charge, to any person
//  obtaining a copy of this software and associated documentation
//  files (the "Software"), to deal in the Software without
//  restriction, including without limitation the rights to use,
//  copy, modify, merge, publish, distribute, sublicense, and/or sell
//  copies of the Software, and to permit persons to whom the
//  Software is furnished to do so, subject to the following
//  conditions:
// 
//  The above copyright notice and this permission notice shall be
//  included in all copies or substantial portions of the Software.
// 
//  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
//  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//  NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
//  HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//  WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
//  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
//  OTHER DEALINGS IN THE SOFTWARE.
// 
////////////////////////////////////////////////////////////////////////////////
/**
 Flex SDK Coding Conventions Used:
 http://opensource.adobe.com/wiki/display/flexsdk/Coding+Conventions
 **/
package com.renaun.windows
{
	import com.renaun.messages.AccelerometerMessage;
	import com.renaun.messages.TouchMessage;
	import com.renaun.net.Kai3Message;
	
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.NativeWindow;
	import flash.display.NativeWindowInitOptions;
	import flash.display.Shape;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.TouchEvent;
	import flash.geom.Matrix;
	import flash.utils.Dictionary;
	
	import org.osmf.display.ScaleMode;
	
	public class AccelerometerWindow extends NativeWindow
	{
		//--------------------------------------------------------------------------
		//
		//  Constructor
		//
		//--------------------------------------------------------------------------
		
		public function AccelerometerWindow(initOptions:NativeWindowInitOptions)
		{
			super(initOptions);
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
		}
		
		//--------------------------------------------------------------------------
		//
		//  Variables
		//
		//--------------------------------------------------------------------------
		
		
		//----------------------------------
		//  subsection
		//----------------------------------
		
		//--------------------------------------------------------------------------
		//
		//  Properties
		//
		//--------------------------------------------------------------------------
		
		private var cube:Shape;
		
		[Embed(source="assets/flex_4_mnemonic.png")]
		public var Flex4Logo:Class;
		
		//--------------------------------------------------------------------------
		//
		//  Methods
		//
		//--------------------------------------------------------------------------
		
		public function processMessage(type:String, message:AccelerometerMessage):void
		{
			if (type == Kai3Message.COMMAND_START_ACCELEROMETER)
			{
				var bitmap:Bitmap = new Flex4Logo() as Bitmap;
				
				var matrix:Matrix = new Matrix(1, 0, 0, 1, -150, -150);
				
				//trace("process mesage BEGIN");
				cube = new Shape();
				cube.x = 300;
				cube.y = 300;
				var color:uint = (Math.random() * 0xdd) + ((Math.random() * 0xdd)  << 8) + ((Math.random() * 0xdd)  << 16);
				cube.graphics.beginBitmapFill(bitmap.bitmapData, matrix, false, true);
				//cube.graphics.lineStyle(8, color, 0.8, true);
				//cube.graphics.beginFill(0x993322, 0.8);
				cube.graphics.drawRect(-150, -150, 300, 300);
				cube.graphics.endFill();
				this.stage.addChild(cube);
				
			}
			else if (type == Kai3Message.COMMAND_ACCELEROMETER)
			{
				var rate:int = 45;
				cube.rotationX = int(rate * message.accelerationX);
				cube.rotationY = int(-rate * message.accelerationY);
				//cube.rotationZ = int(rate * message.accelerationZ);
			}
		}
		
	}
}